## LassoIdWsf2DstRequest LassoIdWsf2DstRequest — <dst:Request> |

## Functions

LassoIdWsf2DstRequest * | lasso_idwsf2_dst_request_new ()

## Types and Values

struct | LassoIdWsf2DstRequest

## Description

Figure 187. Schema fragment for dst:Request

    <xs:complexType name="RequestType">
      <xs:sequence>
        <xs:element ref="lu:Extension" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute ref="lu:itemID" use="optional"/>
      <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_dst_request_new ()

    LassoIdWsf2DstRequest *
    lasso_idwsf2_dst_request_new (void);

Creates a new LassoIdWsf2DstRequest object.

#### Returns

a newly created LassoIdWsf2DstRequest object

## Types and Values

### struct LassoIdWsf2DstRequest

    struct LassoIdWsf2DstRequest {
    	LassoNode parent;

    	/* elements */
    	GList *Extension; /* of LassoIdWsf2Utilextension */
    	/* attributes */
    	char *itemID;
    	GHashTable *attributes;
    };